@ECHO OFF
ECHO .
ECHO  ---- INSTALLATION FOR 32-BIT 8514 BETA #2 (see README! for more info!) ----
ECHO .
ECHO  Usage: INSTALL [Source Drive:\Path] [Target Drive:]
ECHO  e.g. INSTALL A: D:
ECHO .
IF .%1 == . GOTO DONE
IF .%2 == . GOTO DONE
IF NOT EXIST %1\8514_32.DLL GOTO SOURCEBAD
IF NOT EXIST %2\OS2\DLL GOTO DESTBAD
IF EXIST %2\OS2\DLL\8514_32.DLL GOTO OVERBETA
ECHO              Updating INI files to point to 8514_32.DLL
%1\32BITINI
ECHO  ************************************************
ECHO  ** UPDATE TO CONFIG.SYS NEEDED -- SEE README! **
ECHO  ** (need DEVICE=x:\os2\mdos\v8514.sys)        **
ECHO  ************************************************
:OVERBETA
ECHO              Checking to see if you're trying to copy over locked files
DEL %2\OS2\DLL\8514_32.DLL
IF EXIST %2\OS2\DLL\8514_32.DLL GOTO DLLLOCKED
ECHO              (The files are unlocked .. good!)
ECHO              Copying required files over ...
COPY %1\8514_32.*  %2\OS2\DLL
COPY %1\DSPRES.*   %2\OS2\DLL
COPY %1\SWIN8514.* %2\OS2\MDOS\WINOS2\SYSTEM
COPY %1\V8514.*    %2\OS2\MDOS
GOTO SUCCESS
:DLLLOCKED
ECHO  *************************************************
ECHO  There are locked DLLs -- you need to install outside OS/2 ...
ECHO  1. Boot with install and Disk 1 (or DOS, if you're using FAT)
ECHO  2. run INST8514 [8514 files] [os2 boot drive]
ECHO     or .. since you don't need INI updates, just copy:
ECHO       a. 8514_32.DLL to the \OS2\DLL subdirectory
ECHO       b. DSPRES.DLL  to the \OS2\DLL subdirectory
ECHO       c. SWIN8514.DRV to the \OS2\MDOS\WINOS2\SYSTEM subdirectory
ECHO       d. V8514.SYS   to the \OS2\MDOS subdirectory
ECHO  3. Reboot
ECHO  *************************************************
GOTO DONE
:DESTBAD
ECHO **********************
ECHO  ** The desination you specified does not have an
ECHO  ** \OS2\DLL directory .. this is required!
ECHO **********************
GOTO DONE
:SUCCESS
ECHO **********************
ECHO ** New 32-bit beta successfully installed!
ECHO ** Reboot is required for beta to take effect
ECHO **********************
GOTO DONE
:SOURCEBAD
ECHO **********************
ECHO  ** The source directory you specified doesn't have the 8514 files!
ECHO **********************
:DONE
